<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string('mechanism')->nullable();//診所名稱
            $table->string('mechanism_doctor')->nullable();//診所醫師
            $table->string('mechanism_recipient')->nullable();//診所聯絡人
            $table->string('mechanism_recipient_phone')->nullable();//診所聯絡人電話
            $table->string('mechanism_recipient_address')->nullable();//診所地址
            $table->string('sales_name')->nullable();//負責業務
            $table->string('technical_name')->nullable();//技工所名稱
            $table->string('technical_contact_person')->nullable();//技工所聯絡人
            $table->string('technical_phone')->nullable();//技工所電話
            $table->string('technical_address')->nullable();//技工所地址

        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            //
        });
    }
};
